Page 1 sur 1

trouble installing

Publié : 05 Fév 2021, 01:46
par mgp
Hi,
Tried to install using:sudo dpkg -i openboard_ubuntu_16.04_1.5.4_amd64.deb
OUTPUT:
Selecting previously unselected package openboard.
(Reading database ... 326361 files and directories currently installed.)
Preparing to unpack openboard_ubuntu_16.04_1.5.4_amd64.deb ...
Unpacking openboard (1.5.4) ...
dpkg: dependency problems prevent configuration of openboard:
openboard depends on libavformat-ffmpeg56 (>= 7:2.8.15); however:
Package libavformat-ffmpeg56 is not installed.
openboard depends on libavcodec-ffmpeg56 (>= 7:2.8.15) | libavcodec-ffmpeg-extra56 (>= 7:2.8.15); however:
Package libavcodec-ffmpeg56 is not installed.
Package libavcodec-ffmpeg-extra56 is not installed.
openboard depends on libswresample-ffmpeg1 (>= 7:2.8.15); however:
Package libswresample-ffmpeg1 is not installed.
openboard depends on libswscale-ffmpeg3 (>= 7:2.8.15); however:
Package libswscale-ffmpeg3 is not installed.
openboard depends on libavutil-ffmpeg54 (>= 7:2.8.15); however:
Package libavutil-ffmpeg54 is not installed.

dpkg: error processing package openboard (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
openboard

so I cleaned up using "sudo apt-get install -fy"
and run: "sudo apt install libavcodec57" whcih reported it was already installed.

Tried: "sudo apt install libavcodec-extra57" *which removed libavcodec57

Install of openboard failed with same output.

Any ideas?

Re: trouble installing

Publié : 04 Juin 2021, 12:55
par neph
Hi there,
yes, same old problem.
I got really tired of fixing this on my system, so I switched to Flatpak. Not my favorite choice, but it works and is updated regularly.
You can find it here_
https://flathub.org/apps/details/ch.openboard.OpenBoard

This should run as you seem to use an "ubuntuesque" distro ;)